YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class JSONTokenizer

Package | com.adobe.serialization.json
Class | public class JSONTokenizer

Public Methods

| Method | Defined by
--- | --- | ---
|  | JSONTokenizer(s:String) Constructs a new JSONDecoder to parse a JSON string into a native object. | JSONTokenizer
|  | getNextToken():JSONToken Gets the next token in the input sting and advances the character to the next character after the token | JSONTokenizer
|  | parseError(message:String):void Raises a parsing error with a specified message, tacking on the error location and the original string. | JSONTokenizer

Constructor detail

JSONTokenizer | () | constructor

`public function JSONTokenizer(s:String)`

Constructs a new JSONDecoder to parse a JSON string into a native object.

Parameters

| `s:String` — The JSON string to be converted into a native object

Method detail

getNextToken | () | method

`public function getNextToken():JSONToken`

Gets the next token in the input sting and advances the character to the next character after the token

Returns

| `JSONToken`

parseError | () | method |

`public function parseError(message:String):void`

Raises a parsing error with a specified message, tacking on the error location and the original string.

Parameters

| `message:String` — The message indicating why the error occurred